IBM Support

IT21052: INSTALL OF THE 7.1.4 AND 7.1.6 CLIENTS FOR RHEL 5 ON ZLINUX FAILS LIBRARY DEPENDENCIES.

Subscribe

You can track all active APARs for this component.

APAR status

  • Closed as program error.

Error description

  • An install of the 7.1.4.x  and 7.1.6.x Backup-Archive clients
    for RHEL 5 on zLinux fails library dependencies. These failed
    dependencies are for the RPM mechanism and not the Tivoli
    Storage Manager Client.  This occurs because the package is
    compressed using lzma and the older versions of Red Hat (5 and
    lower) do not support lzma.
    
    Customer/L2 Diagnostics (if applicable)
    
    Failing dependencies:
    libc.so.6(GLIBC_2.7)(64bit) is needed by
    TIVsm-API64-7.1.6-0.s390x
    libstdc++.so.6(GLIBCXX_3.4.9)(64bit) is needed by
    TIVsm-API64-7.1.6-0.s390x
    rpmlib(PayloadIsLzma) <= 4.4.6-1 is needed by
    TIVsm-API64-7.1.6-0.s390x
    libc.so.6(GLIBC_2.7)(64bit) is needed by TIVsm-BA-7.1.6-0.s390x
    libstdc++.so.6(GLIBCXX_3.4.9)(64bit) is needed by
    TIVsm-BA-7.1.6-0.s390x
    rpmlib(PayloadIsLzma) <= 4.4.6-1 is needed by
    TIVsm-BA-7.1.6-0.s390x
    
    *NOTE*
    1) RHEL 5 is a supported operating system for version 7.1
    clients
    2) Attempting the install with the --nodep will also fail with a
    "Bad Magic" message
    
    Platforms affected:
    s390/zOS Linux
    
    Initial Impact: Medium
    
    Additional Keywords: TSM ITSM ADSM bzip gzip bz2zip
    

Local fix

  • Contact IBM support for a workaround
    

Problem summary

  • ****************************************************************
    * USERS AFFECTED:                                              *
    * Backup-archive client versions 7.1.4 and 7.1.6 running on    *
    * RHEL 6 on zLinux platform                                    *
    ****************************************************************
    * PROBLEM DESCRIPTION:                                         *
    * See ERROR DESCRIPTION                                        *
    ****************************************************************
    * RECOMMENDATION:                                              *
    * Apply fixing level when available.  This problem is          *
    * currently projected to be fixed in levels 7.1.8 and 8.1.4.   *
    * Note that this information is subject to change at the       *
    * discretion of IBM                                            *
    ****************************************************************
    

Problem conclusion

  • The user will have the ability to successfully install the
    Backup-archive client on a zLinux RHEL5 machine.
    

Temporary fix

Comments

APAR Information

  • APAR number

    IT21052

  • Reported component name

    TSM CLIENT

  • Reported component ID

    5698ISMCL

  • Reported release

    71L

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt / Xsystem

  • Submitted date

    2017-06-15

  • Closed date

    2017-08-14

  • Last modified date

    2017-08-14

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Modules/Macros

  • install
    

Fix information

  • Fixed component name

    TSM CLIENT

  • Fixed component ID

    5698ISMCL

Applicable component levels

  • R71L PSY

       UP

  • R81L PSY

       UP



Document information

More support for: Tivoli Storage Manager

Software version: 71L

Reference #: IT21052

Modified date: 14 August 2017